Skip to content

Enable visibility in all workspaces.

POST
/api/discovery/namespaces/{namespace}/discovered_services/{name}/enable_visibility
curl --request POST \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/discovery/namespaces/example/discovered_services/example/enable_visibility \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "name": "example", "namespace": "example" }'

Enable Visibility of the service in all workspaces. This action will make the discovered service visible within WAAP, App Connect where the user can perform the workspace specific actions.

Examples of this operation.

namespace
required
string

Namespace x-required Namespace of the discovered service for current request.

name
required
string

Service Name x-required Identifies the discovered service name.

Media typeapplication/json
EnableVisibilityRequest

Enable visibility of the discovered service in all workspaces like WAAP, App Connect, etc.

object
name
Service Name

Identifies the discovered service name Required: YES.

string
>= 6 characters <= 1024 characters
namespace
Namespace

Namespace of the discovered service for current request Required: YES.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"name": "example",
"namespace": "example"
}

A successful response.

Media typeapplication/json
EnableVisibilityResponse

Response to the Enable Visibility request.

object
virtual_host_ref
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
Examplegenerated
{
"virtual_host_ref": {
"name": "example",
"namespace": "example"
}
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example